<app-header></app-header>
<div class="all">
  <div class="centerBlock">
    <h3>Add Shoes</h3>
    <h5>id</h5>
<!--    <div class="align">-->
      <input class="p-d-inline" type="text" pInputText pKeyFilter="int" placeholder="Integers" [(ngModel)]="id">
<!--    </div>-->

    <h5>code</h5>
<!--    <div class="align">-->
      <input class="p-d-inline" type="text" pInputText pKeyFilter="int" placeholder="Integers" [(ngModel)]="code">
<!--    </div>-->

    <h5>name</h5>
    <input class="p-d-inline" type="text" pInputText [(ngModel)]="name">
    <span class="p-ml-2">{{name}}</span>

    <h5>descriptions</h5>
    <textarea rows="5" cols="30" pInputTextarea [(ngModel)]="description"></textarea>

<!--    <h5>image url</h5>-->
<!--    <input class="p-d-inline" type="text" pInputText [(ngModel)]="image" [pattern]="regex">-->
<!--    <span class="p-ml-2">{{image}}</span>-->
    <h5>image url</h5>
    <p-fileUpload name="myfile[]" url="./upload.php"
                  accept="image/*" [auto]="true"></p-fileUpload>

    <h5>prix</h5>
<!--    <div class="align">-->
      <input class="p-d-inline" type="text" pInputText pKeyFilter="int" placeholder="Integers" [(ngModel)]="price">
<!--    </div>-->

    <h5>quantité</h5>
<!--    <div class="align">-->
      <input class="p-d-inline" type="text" pInputText pKeyFilter="int" placeholder="Integers" [(ngModel)]="qte">
<!--    </div>-->

  <br>
    <p-button class="buttonSend" (onClick)="sendData(id, code, name, description, image, price, qte)" label="Ajouté"></p-button>

  </div>
</div>
<!--<div class="card">-->
<!--  <h5>Severities</h5>-->
<!--  <p-button (onClick)="sendData(id, code, name, description, image, price, qte)" type="button" pButton pRipple (click)="showSuccess()" label="Success" class="p-button-success"></p-button>-->
<!--</div>-->

<!--<div *ngIf="isSend">-->
<!--  <p-toast></p-toast>-->
<!--  <p-toast position="top-left" key="tl"></p-toast>-->
<!--  <p-toast position="top-center" key="tc"></p-toast>-->
<!--  <p-toast position="bottom-center" key="bc"></p-toast>-->
<!--</div>-->

<!--<div *ngIf="!isSend">-->
<!--  <p-toast></p-toast>-->
<!--  <p-toast position="top-left" key="tl"></p-toast>-->
<!--  <p-toast position="top-center" key="tc"></p-toast>-->
<!--  <p-toast position="bottom-center" key="bc"></p-toast>-->
<!--</div>-->
